質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.53%

  • Ruby on Rails

    7231questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

railsの開発環境をリセット

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,319

KazutakaShimizu

score 152

ちょっと変なファイルをいじってしまったのか、よく分からないエラーがたくさんでるようになってしまいました・・・。
ruby、rbenv、homebrewなどをアンインストールしてみたのですが解決しないため、一度開発環境を全てリセットしたいと思っております。
ただ私こういった事には非常に疎く、どうやれば環境をリセットできるのかわかりません。

質問がざっくりで申し訳ないのですが、どなたか回答をよろしく御願いいたします。
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

+1

完全にリセットしたいなら OS のインストールからするのが一番確実ですが、
そこまではしたくないなら、幾つかの選択肢があります。
どのようなエラーがでているかが不明なので最適な方法は断言できません。

1. brew,  ruby, rbenv など rails 環境を構築するのにつかったものを再インストールする。
    ruby, rbenv をすでに uninstall してしまっているなら、
    rm -fr ~/.rbenv をすれば、 ruby 関係は 綺麗になくなるはずです。
   brew の uninstall は http://hack.aipo.com/archives/8917/ などに従えば良さそうです。(私は brew を uninstall したことがないので 動作は法相できません)

再構築作業で詰まったら、 何をしたか、どんなエラーが出ているかを 添えて, 再質問していただくと、速く解決に至る回答が得られると思います。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2015/07/12 19:10

    回答ありがとうございます。
    ちょっと rm -fr ~/.rbenvを試してみます。

    エラーの方は何やろうとしてもとにかく下記のものが出てしまうといった感じです・・・
    Ignoring executable-hooks-1.3.2 because its extensions are not built. Try: gem pristine executable-hooks --version 1.3.2
    Ignoring gem-wrappers-1.2.7 because its extensions are not built. Try: gem pristine gem-wrappers --version 1.2.7
    Ignoring executable-hooks-1.3.2 because its extensions are not built. Try: gem pristine executable-hooks --version 1.3.2
    Ignoring gem-wrappers-1.2.7 because its extensions are not built. Try: gem pristine gem-wrappers --version 1.2.7
    Error loading RubyGems plugin "/Users/kazutaka/.rvm/gems/ruby-2.0.0-p645@global/gems/executable-hooks-1.3.2/lib/rubygems_plugin.rb": cannot load such file -- executable-hooks/wrapper (LoadError)
    Error loading RubyGems plugin "/Users/kazutaka/.rvm/gems/ruby-2.0.0-p645@global/gems/gem-wrappers-1.2.7/lib/rubygems_plugin.rb": cannot load such file -- gem-wrappers (LoadError)
    Successfully installed rails-4.2.3
    Parsing documentation for rails-4.2.3
    Done installing documentation for rails after 0 seconds
    1 gem installed

    キャンセル

  • 2015/07/12 19:17

    > ... /.rvm/gems
    と rvm のものが参照されているように見えます。 rvm も uninstall するか ~/.rvm か rm -fr ~/.rvm することも必要かもしれません。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.53%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Ruby on Rails

    7231questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。